    import BidFactory from 'pvbid-sdk/src/domain/factories/BidFactory.js'

public class | source

# BidFactory

Factory class to generate a Bid instance with internal bid entities.

## Constructor Summary

Public Constructor
public | constructor() Creates an instance of BidFactory. |

## Method Summary

Public Methods
public | create(bidData: object, context: PVBidContext, project: Project): * Creates a Bid object from bid data. |
public | reload(bid: Bid, bidData: object) Reloads a bids internal settings while keeping the Bid instance. |

## Public Constructors

### public constructor() source

Creates an instance of BidFactory.

## Public Methods

### public create(bidData: object, context: PVBidContext, project: Project): * source

Creates a Bid object from bid data.

#### Params:

Name | Type | Attribute | Description
bidData | object |  |
context | PVBidContext |  |
project | Project |  |

#### Return:

*

### public reload(bid: Bid, bidData: object) source

Reloads a bids internal settings while keeping the Bid instance.

#### Params:

Name | Type | Attribute | Description
bid | Bid |  |
bidData | object |  |